//
// Copyright  2009 Samsung Electronics Co; Ltd. All Rights Reserved.
//
//
//
//------------------------------------------------------------------------------
//
//  Header: stda_resource.h
//
//  Defines macros, structures, pre-defined functions, and etc for the TVout Resource.
//
#ifndef __STDA_RESOURCE_H
#define __STDA_RESOURCE_H

#if __cplusplus
	extern "C"
	{
#endif

/*============================================================================*/
// Pre-defined functions
/*============================================================================*/

BOOL STDA_Resource_API_Proc(DWORD hOpenContext, DWORD dwCode,
							PBYTE pBufIn, DWORD dwLenIn,
							PBYTE pBufOut, DWORD dwLenOut,
							PDWORD pdwActualOut);
// H/W Resource management
BOOL STDA_resource_request_TVout_interface(DWORD dwOpenContext);
BOOL STDA_resource_release_TVout_interface(DWORD dwOpenContext);
BOOL STDA_resource_compare_TVout_interface(DWORD dwOpenContext);
BOOL STDA_resource_request_VP(DWORD dwOpenContext);
BOOL STDA_resource_release_VP(DWORD dwOpenContext);
BOOL STDA_resource_compare_VP(DWORD dwOpenContext);
BOOL STDA_resource_request_GRP0(DWORD dwOpenContext);
BOOL STDA_resource_release_GRP0(DWORD dwOpenContext);
BOOL STDA_resource_compare_GRP0(DWORD dwOpenContext);
BOOL STDA_resource_request_GRP1(DWORD dwOpenContext);
BOOL STDA_resource_release_GRP1(DWORD dwOpenContext);
BOOL STDA_resource_compare_GRP1(DWORD dwOpenContext);

/*============================================================================*/


#if __cplusplus
	}
#endif

#endif    // __STDA_RESOURCE_H